metalog(8)

NAME

metalog - an alternative syslog daemon

SYNTAX

metalog [options]

DESCRIPTION

Metalog is a modern replacement for syslogd and klogd. The logged messages can be dispatched according to their facility, urgency, program name and/or Perl-compatible regular expressions. Log files can be automatically rotated when they exceed a certain size or age. External shell scripts (ex: mail) can be launched when specific patterns are found. Metalog is easier to configure than syslogd and syslog-ng, accepts unlimited number of rules and has (switchable) memory bufferisation for maximal performance.

OPTIONS

-a, --async
    Improve performance by using buffers (bug log files won't get updated in real time). Can be overridden for individual logs.

-B, --daemonize
    have the server start in background (daemonization).

-c, --consolelevel=0..7
    Set the console log level (Linux only).

-C, --configfile=file
    Use an alternate configuration file.

-h, --help
    Output help information and exit.

-N, --no-kernel
    Do not attempt to log messages from the kernel.

-P, --pidfile=pidfile
    Use an alternate file to store the process number.

-s, --sync, --synchronous
    Start in synchronous mode, with no bufferization. Can be overridden for individual logs.

-v, --verbose
    Run in verbose mode (useful for debugging behavior).

-V, --version
    Display metalog version information.

SIGNALS

SIGUSR1
    Enable synchronous mode.

SIGUSR2
    Disable synchronous mode.

FILES

Note that the exact paths depend on the build settings. These are the standard paths.
/etc/metalog.conf
/var/run/metalog.pid
/dev/log

AUTHORS

Mike Frysinger <vapier@gentoo.org>
Laurent Wandrebeck (low) <wandre.l@free.fr>
Leo Lipelis <aeoo@gentoo.org>
Hendrik Visage <hvisage@users.sourceforge.net>
Frank DENIS (Jedi/Sector One) <j@pureftpd.org>

SEE ALSO
metalog.conf(5)